
//判断浏览器
function createXMLHttp()
{
    var request = false;
    if (window.XMLHttpRequest){ request = new XMLHttpRequest(); }
    else if (window.ActiveXObject) 
    {
       try{ request = new ActiveXObject("MSXML2.XMLHTTP"); } 
       catch (e1) 
       {
         try{ request = new ActiveXObject("Microsoft.XMLHTTP"); } 
         catch (e2){ request = false; }
       }
    }
    return request;
}
//以XML求取lib_WishTrainBox的数据
function XmlPost_WishTrainBoxs(obj) {
    var svalue = obj.value;
    var webFileUrl = "?wishTrainid=" + svalue;
    var result = "";
    var xmlHttp = createXMLHttp();
    xmlHttp.open("POST", webFileUrl, false);
    xmlHttp.send("");
    result = xmlHttp.responseText;
    if (result != "") {
        document.getElementById("ddl_Trade").length = 0;
        var piArray = result.split(",");
        for (var i = 0; i < piArray.length; i++) {
            var ary = piArray[i].toString().split("|");
            document.getElementById("ddl_Trade").options.add(new Option(ary[1].toString(), ary[0].toString()));
        }
        document.getElementById("hid_trade").value = document.getElementById("ddl_Trade").options[document.getElementById("ddl_Trade").selectedIndex].value;
    }
    else {
        alert(result);
    }
}
//以XML求取ddl_WorkPlaceCity的数据
	function XmlPost_WorkPlaceCity(obj)
    {
		var svalue = obj.value;
		var webFileUrl = "?provinceid=" + svalue;
		var result = "";
		var xmlHttp = createXMLHttp();
		xmlHttp.open("POST", webFileUrl, false);
		xmlHttp.send("");
		result = xmlHttp.responseText;
				　　
		if(result != "")
		{
			document.getElementById("ddl_WorkPlaceCity").length=0;
			var piArray = result.split(",");
			for(var i=0;i<piArray.length;i++)
			{
				var ary = piArray[i].toString().split("|");
				document.getElementById("ddl_WorkPlaceCity").options.add(new Option(ary[1].toString(),ary[0].toString()));
			}
			document.getElementById("hid_WorkPlaceCity").value = document.getElementById("ddl_WorkPlaceCity").options[document.getElementById("ddl_WorkPlaceCity").selectedIndex].value;
		}
		else
		{ alert(result);}
	}
